<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
	<title th:text="#{schedule.Title}"></title>
	<script type="text/javascript">
	var startTime = new Date().getTime();
	window.dataLayer = window.dataLayer || [];
	window.dataLayer.push({
	'pageCategory': 'Schedule Payment Page',
	'scheduleStartTime': startTime
});
</script>
	<object th:replace="fragments/global_includes :: global_includes" th:remove="tag">...</object>
</head>
<body class="nhs-bsa-pensions nhs-bsa">
	<div th:replace="fragments/header :: header">...</div>
	<main id="content" role="main" tabindex="-1">

	    <div th:replace="fragments/phase_banner :: phase_banner">...</div>
		<div class="grid-row">
	    <div th:replace="fragments/service_header :: logout_only">...</div>
		</div>

	    <div class="grid-row">
	        <div class="column-two-thirds">
	            <form th:action="@{/scheduleyourpayment/{eaCode}(eaCode=${eaCode})}" method="post" class="form" novalidate="novalidate"
	          th:object="${rft}" id="schedule-payment-form">
	                <div class="error-summary" th:if="${#fields.hasAnyErrors()}" id="schedule-error-message" role="group" aria-labelledby="schedule-error-heading" tabindex="-1">
	                    <h1 th:text="#{errorSummary1}" id="schedule-error-heading" class="heading-medium error-summary-heading">Some questions have not been answered correctly:</h1>
	                    <p th:text="#{errorSummary2}" id="schedule-error-text">Please see the errors below.</p>
	                    <ul class="error-summary-list">
	                        <li th:if="${#fields.hasErrors('contributionDate')} and not ${#fields.hasErrors('contributionDate.contributionYear')}"><a th:href="@{#contribution-month}" th:errors="*{contributionDate}" id="schedule-error-list1">Descriptive link to the question with an error</a></li>
	                        <li th:if="${#fields.hasErrors('contributionDate.contributionYear')}"><a th:href="@{#contribution-month}" th:errors="*{contributionDate.contributionYear}" id="schedule-error-list1">Descriptive link to the question with an error</a></li>
												  <li th:if="${#fields.hasErrors('payAsSoonAsPossible')}"><a th:href="@{#as-soon-as-possible-label}" th:errors="*{payAsSoonAsPossible}" id="schedule-error-payAsap">Descriptive link to the question with an error</a></li>
	                        <li th:if="${#fields.hasErrors('transferDate')}"><a th:href="@{#dob-day}" th:errors="*{transferDate}" id="schedule-error-list2">Descriptive link to the question with an error</a></li>
	                        <li th:if="${#fields.hasErrors('transferDate.date')}"><a th:href="@{#dob-day}" th:errors="*{transferDate.date}" id="schedule-error-list2">Descriptive link to the question with an error</a></li>
	                    </ul>
	                </div>

								<!-- Hidden item to determine page navigation -->
								<div class="visually-hidden" aria-hidden="true" style="display:none;">
									<input id="forward-to" type="text" th:field="*{forwardTo}"> </input>
								</div>

								<!-- Hidden Uuid to determine whether row saved or updated -->
								<div class="visually-hidden" aria-hidden="true" style="display:none;">
									<input id="rftuuid" type="text" th:field="*{rftUuid}"> </input>
								</div>

								<h1 id="main-heading" class="heading-large">
									<span class="heading-secondary" th:text="#{serviceHeader}" id="service-name-text">Make payments to the NHS Pension Scheme</span>
									<span class="heading-large" th:text="#{schedule.Heading(${eaCode})}" id="schedule-heading">Schedule a payment</span>
								</h1>

	                <!-- Month payment for Month/Year -->
	                <div class="form-group" th:classappend="${#fields.hasErrors('contributionDate')} ? error" id="schedule-group">
	                    <fieldset>
	                        <legend id="schedule-month-year-label-wrap">
	                            <span class="form-label-bold" th:text="#{schedule.PaymentMonth}" id="schedule-month-year-label">What month is this payment for?</span>
									<span class="form-hint" id="schedule-month-year-hint" >
									<span  class="form-hint" th:text="#{schedule.ForExample}" th:remove="tag">For example,</span>
									<span class="form-hint" th:text="${paymentMonthExample}"  th:remove="tag" >November 2016</span>
								</span>
	                            <!-- class = error-message shows validation message in red -->
	                            <span th:if="${#fields.hasErrors('contributionDate')} and not ${#fields.hasErrors('contributionDate.contributionYear')}" class="error-message" id="contributionDate.error" th:errors="*{contributionDate}"></span>
	                            <span th:if="${#fields.hasErrors('contributionDate.contributionYear')}" class="error-message" id="contributionDate.binding.error" th:errors="*{contributionDate.contributionYear}"></span>
	                        </legend>
	                        <div class="form-date form-date-wide">
	                            <div class="form-group-month" id="schedule-month-group">
	                                <label class="form-label" for="contribution-month" th:text="#{schedule.PaymentLabel1}" id="schedule-month-label">Month</label>
	                                <input class="form-control form-control-11-chars typeahead" id="contribution-month" type="text" maxlength="11"
	                                       th:field="*{contributionDate.contributionMonth}" th:classappend="${#fields.hasErrors('contributionDate')} ? form-control-error" autocomplete="off"> </input>
	                            </div>
	                            <div class="form-group-year" id="schedule-year-group">
	                                <label class="form-label" for="contribution-year" th:text="#{schedule.PaymentLabel2}" id="schedule-year-label">Year</label>
	                                <input class="form-control form-control-4-chars" id="contribution-year"
	                                       th:field="*{contributionDate.contributionYear}" th:classappend="${#fields.hasErrors('contributionDate')} ? form-control-error"> </input>
	                            </div>
	                        </div>
	                    </fieldset>
	                </div>

	                <div class="form-group" th:classappend="${#fields.hasErrors('payAsSoonAsPossible')}? error" id="schedule-payAsSoonAsPossible-group">
	                	<fieldset>
	                		<legend>
	                			<span class="form-label-bold" th:text="#{schedule.DateOfTransfer}" id="">What date do you want payment to be taken from your account?</span>
                        <span class="error-message" id="payAsSoonAsPossible.error" th:errors="*{payAsSoonAsPossible}"></span>
	                		</legend>


                      <label class="block-label selection-button-radio" data-target="asap" for="as-soon-as-possible" id="as-soon-as-possible-label">
                        <input type="radio" id="as-soon-as-possible" name="payAsSoonAsPossible" th:field="*{payAsSoonAsPossible}" value="Y" onclick="dataLayer.push({'payAsSoonAsPossible': 'Yes','event': 'payAsSoonAsPossible-radio'});"/>
                        <span th:text="#{schedule.CheckboxAsapLabel}" id="schedule-asap-text">As soon as possible</span>
                      </label>
                      <div class="panel panel-border-narrow js-hidden" id="asap">
                        <span class="form-hint" th:text="#{schedule.CheckboxAsapMessage}" th:remove="tag"></span>
                        <span class="form-hint" th:text="${hintDateExample}" th:remove="tag"></span>
                      </div>

                      <label class="block-label selection-button-radio" data-target="specify-date" for="specify-a-date" id="specify-date-label">
                        <input type="radio" id="specify-a-date" name="specifyDate" th:field="*{payAsSoonAsPossible}" value="N" onclick="dataLayer.push({'payAsSoonAsPossible': 'No','event': 'payAsSoonAsPossible-radio'});"/>
                        <span th:text="#{schedule.CheckboxSpecifyLabel}" id="schedule-specifyDate-text">Specify a date</span>
                      </label>
                      <div class="panel panel-border-narrow js-hidden" id="specify-date" th:classappend="${#fields.hasErrors('transferDate') or #fields.hasErrors('transferDate.date')}? error">
                        <span class="error-message" id="transferDate.error" th:errors="*{transferDate}"></span>
                        <span class="error-message" id="transferDate.date.error" th:errors="*{transferDate.date}"></span>
                        <span class="form-hint" id="payment-day-month-year-hint1" >
                          <span class="form-hint" th:text="#{schedule.ForExample}" th:remove="tag">For example, </span>
                          <span class="form-hint" th:text="${hintDateExample}" th:remove="tag"></span>
                        </span>
                        <div class="form-date form-date-wide" id="payment-day-month-year-group" th:classappend="${#fields.hasErrors('transferDate')}? error">
                                        <div class="form-group-day">
                                            <label class="form-label" for="dob-day" th:text="#{schedule.DateLabel1}" id="payment-day-label">Day</label>
                                            <input class="form-control" id="dob-day"
                                                   th:field="*{transferDate.days}" th:classappend="${#fields.hasErrors('transferDate')} ? form-control-error"> </input>
                                        </div>
                                        <div class="form-group-month">
                                            <label class="form-label" for="dob-month" th:text="#{schedule.DateLabel2}" id="payment-month-label">Month</label>
                                            <input class="form-control typeahead" id="dob-month" type="text" maxlength="12"
                                                   th:field="*{transferDate.month}" th:classappend="${#fields.hasErrors('transferDate')} ? form-control-error"> </input>
                                        </div>
                                        <div class="form-group-year">
                                            <label class="form-label" for="dob-year" th:text="#{schedule.DateLabel3}" id="payment-year-label">Year</label>
                                            <input class="form-control" id="dob-year"
                                                   th:field="*{transferDate.year}" th:classappend="${#fields.hasErrors('transferDate')} ? form-control-error"> </input>
                                        </div>
                                    </div>
								      </div>
						      </fieldset>
	                </div>

	                <div class="form-group" id="schedule-submit-button">
	                    <button type="submit" id="submit" class="button" th:text="#{nextStep}">Next Step</button>
	                </div>
	            </form>
	        </div>

				<div class="column-one-third" th:if="${userRole == 'ROLE_ADMIN'}">
					<div class="sidebar">
						<div class="sidebar-box">
							<h2 class="heading-medium" th:text="#{admin.info}" id="start-related-heading">Admin features</h2>
							<ul class="list list-bullet">
								<li><a th:href="@{'/current-users'}" th:text="#{admin.changeAccounts}" id="start-related-list-link1">Current users</a></li>
							</ul>
						</div>
					</div>
				</div>
	    </div>
	</main>

	<div th:replace="fragments/footer :: footer">...</div>
	<div th:replace="fragments/scripts :: scripts" th:remove="tag">...</div>
	<div th:replace="fragments/typeahead :: month-typeahead">...</div>

</body>
</html>